# PluginCodec_RTP Class Reference

`#include <opalplugin.hpp>`

## Public Member Functions

| PluginCodec_RTP (const void *packet, unsigned size)
__inline unsigned | GetMaxSize () const
__inline unsigned | GetPacketSize () const
__inline unsigned | GetHeaderSize () const
__inline unsigned | GetPayloadSize () const
__inline bool | SetPayloadSize (unsigned size)
__inline unsigned | GetPayloadType () const
__inline void | SetPayloadType (unsigned type)
__inline bool | GetMarker () const
__inline void | SetMarker (bool mark)
__inline unsigned | GetTimestamp () const
__inline void | SetTimestamp (unsigned ts)
__inline unsigned | GetSequenceNumber () const
__inline void | SetSequenceNumber (unsigned sn)
__inline unsigned | GetSSRC () const
__inline void | SetSSRC (unsigned ssrc)
__inline unsigned char * | SetExtended (unsigned id, unsigned len)
__inline unsigned char * | GetExtendedHeader (unsigned &id, size_t &len) const
__inline unsigned char * | GetPayloadPtr () const
__inline unsigned char & | operator[] (size_t offset)
__inline unsigned const char & | operator[] (size_t offset) const
__inline bool | CopyPayload (const void *data, size_t size, size_t offset=0)
__inline PluginCodec_Video_FrameHeader * | GetVideoHeader () const
__inline unsigned char * | GetVideoFrameData () const

## Constructor & Destructor Documentation

PluginCodec_RTP::PluginCodec_RTP | ( | const void * | packet,
|  | unsigned | size |
| ) |  |  | `[inline]`

## Member Function Documentation

__inline bool PluginCodec_RTP::CopyPayload | ( | const void * | data,
|  | size_t | size,
|  | size_t | offset = `0` |
| ) |  |  | `[inline]`

__inline unsigned char* PluginCodec_RTP::GetExtendedHeader | ( | unsigned & | id,
|  | size_t & | len |
| ) |  |  | const`[inline]`

__inline unsigned PluginCodec_RTP::GetHeaderSize | ( |  | ) | const`[inline]`

__inline bool PluginCodec_RTP::GetMarker | ( |  | ) | const`[inline]`

__inline unsigned PluginCodec_RTP::GetMaxSize | ( |  | ) | const`[inline]`

__inline unsigned PluginCodec_RTP::GetPacketSize | ( |  | ) | const`[inline]`

__inline unsigned char* PluginCodec_RTP::GetPayloadPtr | ( |  | ) | const`[inline]`

__inline unsigned PluginCodec_RTP::GetPayloadSize | ( |  | ) | const`[inline]`

__inline unsigned PluginCodec_RTP::GetPayloadType | ( |  | ) | const`[inline]`

__inline unsigned PluginCodec_RTP::GetSequenceNumber | ( |  | ) | const`[inline]`

__inline unsigned PluginCodec_RTP::GetSSRC | ( |  | ) | const`[inline]`

__inline unsigned PluginCodec_RTP::GetTimestamp | ( |  | ) | const`[inline]`

__inline unsigned char* PluginCodec_RTP::GetVideoFrameData | ( |  | ) | const`[inline]`

__inline PluginCodec_Video_FrameHeader* PluginCodec_RTP::GetVideoHeader | ( |  | ) | const`[inline]`

__inline unsigned const char& PluginCodec_RTP::operator[] | ( | size_t | offset | ) | const`[inline]`

__inline unsigned char& PluginCodec_RTP::operator[] | ( | size_t | offset | ) | `[inline]`

__inline unsigned char* PluginCodec_RTP::SetExtended | ( | unsigned | id,
|  | unsigned | len |
| ) |  |  | `[inline]`

__inline void PluginCodec_RTP::SetMarker | ( | bool | mark | ) | `[inline]`

__inline bool PluginCodec_RTP::SetPayloadSize | ( | unsigned | size | ) | `[inline]`

__inline void PluginCodec_RTP::SetPayloadType | ( | unsigned | type | ) | `[inline]`

__inline void PluginCodec_RTP::SetSequenceNumber | ( | unsigned | sn | ) | `[inline]`

__inline void PluginCodec_RTP::SetSSRC | ( | unsigned | ssrc | ) | `[inline]`

__inline void PluginCodec_RTP::SetTimestamp | ( | unsigned | ts | ) | `[inline]`

The documentation for this class was generated from the following file:

- opalplugin.hpp